Bug 853056 - Cli command "system register" without an environment returns "not found"
Cli command "system register" without an environment returns "not found"
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 08:05 EDT by Lukas Zapletal
Modified: 2014-01-27 08:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Registration with activation keys failed because the route for creating systems without activation keys overwrote the activate route. This fix changes the order to prevent system tests for systems from failing in the activation key phase.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:52:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-08-30 08:05:25 EDT
kk system register --name xy
Not found

Expected:
User's default environment to be used.
Comment 1 Lukas Zapletal 2012-08-31 10:40:06 EDT
I report, I fix.
Comment 2 Lukas Zapletal 2012-09-03 12:55:02 EDT
Fixed. Now with one environment it works:

[root@aa katello]# kk system register --name finished
Successfully registered system [ finished ]

But with more:

[root@aa katello]# kk system register --name finished
Organization ACME_Corporation has more than one environment. Please specify target environment for system registration.
Comment 3 Lukas Zapletal 2012-09-04 08:55:33 EDT
https://github.com/Katello/katello/pull/570
Comment 4 Ivan Necas 2012-09-10 11:57:25 EDT
Regression in registration with activation keys fixed in  0c6fdd153e323765375282d54889e491b74ad7b1 (https://github.com/Katello/katello/pull/625)
Comment 6 Og Maciel 2012-09-14 18:04:16 EDT
# katello -u admin -p admin system register --org QE --name finished
Organization QE has more than one environment. Please specify target environment for system registration.
Comment 7 Og Maciel 2012-09-14 18:04:34 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 9 errata-xmlrpc 2012-12-04 14:52:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.